package conf

import "sync"

type Config struct {
	NatsUrl      string
	NatsLogin    string
	NatsPassword string
	OidcUrl      string
}

var instance *Config
var once sync.Once

func GetConfig() *Config {
	once.Do(func() {
		instance = &Config{}
	})
	return instance
}
